QGIS Application - Bug report #10402
QGIS master categorized symbology: column repeated
2014-05-30 09:54 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 18818
Description

In QGIS master after selecting an attribute for a categorized symbology the choosen attribute column shows repeated when selecting the
dropdown at a later time, see image
("campo2" is a column name that it is not repeated in the table of attributes)

http://i60.tinypic.com/rsrcwj.png

Associated revisions

Revision 2d267{15 - 2014-06-02 01:10 AM - Nathan Woodrow

Fix #10402 - Don't duplicate combo items on selection

History

#1 - 2014-05-30 02:13 PM - Nyall Dawson
- Resolution set to duplicate
- Status changed from Open to Closed

Duplicate of #10274

#2 - 2014-05-31 04:47 AM - Nathan Woodrow
- Status changed from Closed to Reopened

@Nyall this is something different.

#3 - 2014-05-31 05:14 AM - Nyall Dawson
I don't think it is... the widget is showing the current 'expression’ as the last value in the combo. If a single column has been selected, then the 'expression’

is just the column name, so it looks like a duplicate. That's why | think showing this expression option in italics could help differentiate it. On the other hand,
hiding it if it's a duplicate would work just as well!

#4 - 2014-05-31 05:19 AM - Nathan Woodrow

Ahh | see what you mean. | think first try to find the field, if not assume it's an expression and add it to the bottom.
| will have a go now.

#5 - 2014-06-01 04:11 PM - Anonymous
- Status changed from Reopened to Closed

Fixed in changeset commit:"2d267f1553527c5dde52cdae2ac4ea069ef7a436".
